# One click

## Сақталған карта бойынша төлем

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/system/one-click/pay-in`

#### Request Body

| Name                                                     | Type    | Description                                                                                                                 |
| -------------------------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>                 | Float   | Төлем сомасы                                                                                                                |
| callback\_url                                            | String  | Транзакция мәртебесімен коллбэкті түзету үшін жобаның URL-і (Сallback жіберуді қараңыз)                                     |
| card\_token<mark style="color:red;">\*</mark>            | String  | Webhook-тeн, карталар тізімінде немесе транзакция мәртебесінде картаны байластырғаннан кейін алынған төлем жүйесінің токені |
| description<mark style="color:red;">\*</mark>            | String  | Төлем сипаттамасы (50 таңба)                                                                                                |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Төлем жүйесі беретін мерчант сәйкестендіргіші                                                                               |
| project\_client\_id<mark style="color:red;">\*</mark>    | String  | Жоба жағындағы клиент сәйкестендіргіші                                                                                      |
| project\_id<mark style="color:red;">\*</mark>            | Integer | Төлем жүйесі беретін жобаның сәйкестендіргіші                                                                               |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Жоба жағындағы тапсырыс нөмірі                                                                                              |
| additional\_data                                         | Object  | Қосымша параметрлер                                                                                                         |

{% tabs %}
{% tab title="200: OK Сәтті жауап үлгісі" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "transaction_id": 140001455,
        "transaction_status_code": "success",
        "bank_code":"101",
        "bank_message":"3DS authentication failed"
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Қатесі бар жауап үлгісі" %}

```json
{
    "status": false,
    "status_code": 5000,
    "message": "transaction already exists",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code lineNumbers="true" fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/system/one-click/pay-in' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer 123gf4d260ab38694d10833asdf3030d9a1cc75df4c598b0wer3230680923b1da7' \
--data-raw '{
    "amount": 10,
    "callback_url": "",
    "card_token": "sdsd13123",
    "description": "test",
    "merchant_id": 9999,
    "project_client_id": "9999",
    "project_id": 9999,
    "project_reference_id": "9999"
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/az/t-lem-shlyuzi/t-lem-nysanynsyz-t-lemder/one-click.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
